package com.ruoyi.sim.constant;

/**
 * 雷电扩展坞MAC
 * 192.168.1.153
 * 00-E0-4C-68-01-AD
 */
public interface CommConst {

    String PREFIX = "AA";

    String SUFFIX = "55";

    /**
     * orientation
     */
    String ORN_BROADCAST = "00";

    /**
     * orientation
     */
    String ORN_SEND = "01";

    /**
     * orientation
     */
    String ORN_RECEIVE = "02";

    String CMD_DATA_PLACE_HOLDER = "00000000";

    String BLANK_CONTENT = "00000000";

    /**
     * 故障下发
     */
    String CMD_SET_FAULT = "01";
    /**
     * 故障清清除
     */
    String CMD_CLEAR_FAULT = "02";
    /**
     * 设备类型读取
     */
    String CMD_READ_TYPE = "03";

    String BLANK_SIM_NUM = "00";
    /**
     * 状态读取 RESISTANCE电阻值
     */
    String CMD_READ_FAULT_RESISTANCE = "03";

    String CMD_ID_GET_SN = "B1";

    String PREFIX_ERROR_0 = "0";

    String ANSWER_RIGHT = "00000000";
    String ANSWER_WRONG = "00000001";

    String ANSWER_LAST_RIGHT_MSG = "00";
    String ANSWER_LAST_WRONG_MSG = "01";
    String WHG_MSG_EXIT_NO = "00";
    String WHG_MSG_EXIST_YES = "01";

    int LENGTH_2 = 2;
    int LENGTH_8 = 8;
    /**
     * 报文长度
     */
    int LENGTH_20 = 20;
    /**
     * 添加CRC校验后的报文长度
     */
    int LENGTH_24 = 24;

    int SOCKET_TIME_OUT = 50;

    int PING_TIME_OUT = 500;

    String[] TYPE_1_BIND_MSG = new String[]{"01", "02", "03", "04", "05",
            "06", "07", "08", "09", "0A"};

    String[] TYPE_2_BIND_MSG = new String[]{"01", "02", "03", "04", "05",
            "06", "07", "08", "09", "0A",
            "0B", "0C"};
    String[] TYPE_3_BIND_MSG = new String[]{"01", "02", "03", "04", "05",
            "06", "07", "08", "09", "0A",
            "0B", "0C", "0D", "0E", "0F"};

    int RETRY_COUNT_CHECK_ONE_FAULT = 1;
    int RETRY_COUNT_CLEAR_ONE_FAULT = 2;
    int RETRY_COUNT_WRITE_ONE_FAULT = 2;
    int RETRY_COUNT_READ_ONE_RESISTANCE_MIDDLE = 1;
    int RETRY_COUNT_READ_ONE_RESISTANCE_FINAL = 4;
    int RETRY_COUNT_QUERY_SN_IMPORTANT = 1;
    int RETRY_COUNT_WHICH_SIM_IMPORTANT = 3;
    int RETRY_COUNT_0 = 0;

    int OFFLINE_LIMIT = 6;

    String TYPE_0001_SN_PREFIX = "01";
    String TYPE_0002_SN_PREFIX = "02";
    String TYPE_0003_SN_PREFIX = "03";

    Integer PORT_MIN = 1;
    Integer PORT_MAX = 65535;

    public interface COMM_TYPE {
        Integer SET = 1;
        Integer CLEAR = 2;
        Integer READ = 3;
        Integer WHO = 4;
    }
}
